package ch.hslu.appe.filter;

import java.util.Map;

/**
 * Filter Interface.
 * @param <T> Type
 */
public interface Filter<T> {

    /**
     * Returns the Filter.
     * @return filter
     */
    Map<String, Object> getFilter();

    /**
     * Match this filter to another.
     * @param other filter
     * @return true if the same filter otherwise false
     */
    boolean match(T other);
}
